package com.diagbot.facade;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.diagbot.entity.SysUser;
import com.diagbot.enums.IsDeleteEnum;
import com.diagbot.service.impl.SysUserServiceImpl;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Description: 用户日志业务层
 * @author: zhoutg
 * @time: 2018/8/6 9:11
 */
@Component
public class UserFacade extends SysUserServiceImpl {

    public List<SysUser> getlist() {
        QueryWrapper<SysUser> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("is_deleted", IsDeleteEnum.N.getKey());
        return this.list(queryWrapper);
    }
}
